org.apache.cassandra.db

## Class AbstractThreadUnsafeSortedColumns

- java.lang.Object
- - org.apache.cassandra.db.AbstractThreadUnsafeSortedColumns

- All Implemented Interfaces:
    java.lang.Iterable<IColumn>, ISortedColumns, IIterableColumns
  Direct Known Subclasses:
    ArrayBackedSortedColumns, ThreadSafeSortedColumns, TreeMapBackedSortedColumns

      public abstract class AbstractThreadUnsafeSortedColumns
      extends java.lang.Object
      implements ISortedColumns

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.ISortedColumns

      `ISortedColumns.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractThreadUnsafeSortedColumns()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(DeletionInfo newInfo)`
    `void` | `delete(RangeTombstone tombstone)`
    `DeletionInfo` | `getDeletionInfo()`
    `int` | `getEstimatedColumnCount()`
    `boolean` | `isEmpty()` Returns true if this map is empty, false otherwise.
    `void` | `maybeResetDeletionTimes(int gcBefore)`
    `void` | `retainAll(ISortedColumns columns)`
    `void` | `setDeletionInfo(DeletionInfo newInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.ISortedColumns

      `addAll, addAllWithSizeDelta, addColumn, clear, cloneMe, getColumn, getColumnNames, getFactory, getReverseSortedColumns, getSortedColumns, isInsertReversed, iterator, removeColumn, replace, reverseIterator, size`

    - ### Methods inherited from interface org.apache.cassandra.io.util.IIterableColumns

      `getComparator`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Constructor Detail

    - #### AbstractThreadUnsafeSortedColumns

          public AbstractThreadUnsafeSortedColumns()

  - ### Method Detail

    - #### getDeletionInfo

          public DeletionInfo getDeletionInfo()

      Specified by:
        `getDeletionInfo` in interface `ISortedColumns`

    - #### delete

          public void delete(DeletionInfo newInfo)

      Specified by:
        `delete` in interface `ISortedColumns`

    - #### delete

          public void delete(RangeTombstone tombstone)

      Specified by:
        `delete` in interface `ISortedColumns`

    - #### setDeletionInfo

          public void setDeletionInfo(DeletionInfo newInfo)

      Specified by:
        `setDeletionInfo` in interface `ISortedColumns`

    - #### maybeResetDeletionTimes

          public void maybeResetDeletionTimes(int gcBefore)

      Specified by:
        `maybeResetDeletionTimes` in interface `ISortedColumns`

    - #### retainAll

          public void retainAll(ISortedColumns columns)

      Specified by:
        `retainAll` in interface `ISortedColumns`

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `ISortedColumns`
      Returns true if this map is empty, false otherwise.
      Specified by:
        `isEmpty` in interface `ISortedColumns`

    - #### getEstimatedColumnCount

          public int getEstimatedColumnCount()

      Specified by:
        `getEstimatedColumnCount` in interface `IIterableColumns`

Copyright © 2014 The Apache Software Foundation